----------------------------------------------------------------------

Changes: V5.6.rc2 -> V5.6.1

2011-01-03 22:28  hardaker

   * NEWS:

   NEWS update

2011-01-03 22:26  hardaker

   * configure, configure.d/config_project_with_enable:

   CHANGES: Upgraded DTLS support from alpha to full; mention that
   tsm is needed for TLS too

2011-01-03 22:24  hardaker

   *  FAQ, README, configure, configure.ac, dist/Makefile,   
      dist/net-snmp.spec:

   Version number update

----------------------------------------------------------------------

Changes: V5.6.rc1 -> V5.6.1.rc2

2010-12-29 01:41  hardaker

   * configure:

   autoconf using the right version

2010-12-29 01:40  hardaker

   *  FAQ, README, configure, configure.ac, dist/Makefile,   
      dist/net-snmp.spec:

   Version number update

2010-12-29 01:37  hardaker

   * agent/mibgroup/agentx/protocol.c:

   NEWS: snmpd: Patch 3141462: from fenner: fix agentx subagent
   issues with multiple-object requests

2010-12-29 01:33  hardaker

   * snmplib/vacm.c:

   NEWS: snmpd: Patch from Niels to fix VACM persistant storage.

2010-12-21 16:33  hardaker

   * CHANGES:

   fixed the NEWS file to mention 5.6.1 instead of 5.7

2010-12-21 16:32  hardaker

   * NEWS:

   fixed the NEWS file to mention 5.6.1 instead of 5.7

2010-12-21 15:50  hardaker

   * CHANGES:

   version update

----------------------------------------------------------------------

Changes: V5.6.pre2 -> V5.6.1.rc1

2010-12-21 15:08  hardaker

   * configure:

   fixed autoconf version

2010-12-21 15:07  hardaker

   *  FAQ, README, configure, configure.ac, dist/Makefile,   
      dist/net-snmp.spec:

   Version number update

2010-12-21 11:29  dts12

   * dist/makerelease.xml:

   Bring all versions of makerelease.xml into line

2010-12-21 06:14  nba

   * agent/mibgroup/agent_mibs.h:

   fix configuring with --disable-debugging

2010-12-20 23:27  hardaker

   *  testing/fulltests/default/T200snmpv2cwalkall_simple,   
      testing/fulltests/support/simple_eval_tools.sh,   
      testing/fulltests/support/simple_run:

   Patch from Magnus to fix if ! tests on solaris

2010-12-14 20:10  rstory

   * man/snmpcmd.1.def:

   fix typo in man page

2010-12-10 15:50  hardaker

   * agent/agent_trap.c, snmplib/snmpusm.c:

   CHANGES: snmpd: Patch from Claus Klein to fix engineid generation
   on outgoing v3 traps from the agent

2010-12-10 05:19  hardaker

   * dist/makerelease.xml:

   fix make test options

2010-12-08 13:17  jsafranek

   * agent/mibgroup/mibII/ipv6.c:

   CHANGES: snmpd: add newly created/destroyed interfaces to
   ipv6IfTable
   
   The list of interfaces was never refreshed, now it is reloaded
   every time the
   table is accessed. I've also fixed a memory leak and optimized
   the loading
   of the list a bit.

2010-12-08 06:17  hardaker

   * CHANGES, ChangeLog:

   update for 5.6.1.pre2

----------------------------------------------------------------------

Changes: V5.6.pre1 -> V5.6.1.pre2

2010-12-08 06:01  hardaker

   * configure:

   Version number update

2010-12-06 23:27  hardaker

   *  FAQ, README, configure, configure.ac, dist/Makefile,   
      dist/net-snmp.spec:

   Version number update

2010-12-06 23:23  hardaker

   * agent/mibgroup/etherlike-mib/data_access/dot3stats_linux.c:

   Patch from Niels to remove extra headers from the linux dot3stats
   implementation

2010-12-06 22:08  hardaker

   * configure, configure.d/config_os_functions:

   Check for the minimum required function in OpenSSL for DTLS
   support

2010-12-06 16:34  rstory

   * agent/snmp_vars.c:

   call netsnmp_certs_agent_init sooner, fixing snmptrapd (D)TLS
   support

2010-12-06 16:24  hardaker

   * apps/snmptrap.c:

   fix contextEngineIDs for outgoing informs from snmpinform to be
   the local engineID

2010-12-01 14:30  hardaker

   * configure:

   generate with the proper autoconf

----------------------------------------------------------------------

Changes: V5.6 -> V5.6.1.pre1

2010-12-01 01:06  hardaker

   *  agent/Makefile.depend, agent/mibgroup/Makefile.depend,   
      apps/Makefile.depend, snmplib/Makefile.depend:

   make depend

2010-12-01 01:06  hardaker

   * agent/snmpd.c:

   use netsnmp_assert instead of assert

2010-12-01 00:46  hardaker

   *  FAQ, README, configure, configure.ac, dist/Makefile,   
      dist/net-snmp.spec, perl/ASN/ASN.pm,   
      perl/AnyData_SNMP/Storage.pm, perl/OID/OID.pm, perl/SNMP/SNMP.pm, 
        perl/TrapReceiver/TrapReceiver.pm,
      perl/agent/Support/Support.pm,    perl/agent/agent.pm,
      perl/agent/default_store/default_store.pm,   
      perl/default_store/default_store.pm:

   Version number update

2010-12-01 00:46  hardaker

   * Makefile.top:

   version update

2010-11-30 23:27  hardaker

   * perl/SNMP/SNMP.xs:

   CHANGES: perl: patch 3049029: from fennec: fix a memory leak with
   snmp bulkwalks

2010-11-30 23:16  hardaker

   * 
      agent/mibgroup/tcp-mib/tcpConnectionTable/tcpConnectionTable_data_access.c:

   CHANGES: snmpd: PATCH: 3053436: from: takevos: fix:
   tcpConnectionTable_data_access invalid memory access

2010-11-30 23:12  hardaker

   * 
      agent/mibgroup/tcp-mib/tcpListenerTable/tcpListenerTable_data_access.c:

   CHANGES: snmpd: PATCH: 3053436: from: takevos: fix:
   tcpListenerTable_data_access invalid memory access

2010-11-30 21:08  nba

   * apps/snmptls.c, apps/snmptrapd_sql.c:

   u_int32_t is less portable than uint32_t (Solaris 11)

2010-11-30 20:52  hardaker

   * snmplib/transports/snmpTLSBaseDomain.c:

   remove a compile warning about a nested if without a block

2010-11-30 19:57  rstory

   * snmplib/cert_util.c:

   error check the right pointer after attempting allocation

2010-11-30 05:56  hardaker

   *  agent/mibgroup/if-mib/data_access/interface_linux.c, configure,   
      configure.d/config_os_struct_members,   
      include/net-snmp/net-snmp-config.h.in:

   CHANGES: snmpd: PATCH: 3057090: from shemminger: make ethtool
   support on linux use the high speed struct info for 100G+.

2010-11-30 04:58  hardaker

   * agent/mibgroup/ip-mib/data_access/systemstats_linux.c:

   CHANGES: PATCH 3074918: from weizheng: check for CONTAINER_INSERT
   failures and react appropriately to avoid memory leaks

2010-11-30 04:34  rstory

   * snmplib/cert_util.c:

   CHANGES: snmpd: add debug for cert find hint as string/int

2010-11-30 04:30  rstory

   *  agent/snmp_vars.c, include/net-snmp/library/cert_util.h,   
      snmplib/cert_util.c:

   CHANGES: snmpd: instead of relying on NETSNMP_DS_LIB_APPTYPE,
   break out
   cert table inits to new agent cert init function, called from
   init_agent.

2010-11-30 04:21  rstory

   * snmplib/snmp_openssl.c:

   CHANGES: snmpd: BUG: enforce max length on TLS secName maps
   CHANGES: snmpd: add priority to secname debugging

2010-11-30 04:04  rstory

   *  agent/mibgroup/mibII/icmp.c, agent/mibgroup/mibII/ip.c,   
      agent/mibgroup/mibII/tcp.c, agent/mibgroup/mibII/udp.c,   
      agent/mibgroup/sctp-mib/sctpScalars.c:

   CHANGES: agent: don't second-guess cache handler
   
   (waves hand) this is not the function you are looking for.
   
   netsnmp_cache_is_valid() is not meant for mib modules

2010-11-29 22:20  rstory

   * snmplib/transports/snmpTLSBaseDomain.c:

   CHANGES: snmpd: add debug for ssl ciphers, clarify fingerprint
   match debug

2010-11-29 22:14  rstory

   * agent/helpers/cache_handler.c:

   CHANGES: snmpd: use cache-unique id instead of handler name for
   shared
   cache reload protection

2010-11-19 15:25  nba

   * 
      agent/mibgroup/ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable.c:

   Niels, Niels, you should know better than making last minute
   changes to a
   patch and then commit it without testing :-(

2010-11-18 10:55  bvassche

   *  ., include/net-snmp/library/snmpTLSBaseDomain.h,   
      snmplib/transports/snmpTLSBaseDomain.c:

   Compiler warning fixes for the TLS transport code: backported
   r19546 from the trunk.

2010-11-18 10:53  bvassche

   * 
      agent/mibgroup/ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable.c:

   Fixed what was broken by r19685: dividing the return value of
   snmp_log() does not make sense.

2010-11-17 19:59  nba

   *  agent/mibgroup/host/data_access/swinst_darwin.c,   
      agent/mibgroup/host/data_access/swinst_pkginfo.c:

   More proction against overflowing snprintf

2010-11-17 19:57  nba

   *  agent/mibgroup/ip-forward-mib/data_access/route_linux.c,   
      agent/mibgroup/ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable.c,
         include/net-snmp/data_access/route.h:

   Dont use first element of oid to save ifIndex - it can only be
   0..2
   Second element is only 0..39, so we have to use a third element.

2010-11-17 19:39  nba

   *  agent/mibgroup/hardware/fsys.h, configure.d/config_os_functions,  
       configure.d/config_os_libs1, configure.d/config_os_libs2:

   Test getfsstat/getvfsstat in time for module selection

2010-11-17 19:37  nba

   * snmplib/file_utils.c:

   Remove bogus test for flags==0 (O_RDONLY==0). Makes
   udpEndpointTable work again

2010-11-17 04:55  rstory

   * snmplib/transports/snmpTLSTCPDomain.c:

   CHANGES: snmpd: fix double free in TLS error handling

2010-11-16 12:43  bvassche

   * win32/Makefile-apps.in:

   Follow-up for r19422.

2010-11-16 12:38  bvassche

   * win32/mib_module_shutdown.h:

   CHANGES: Win32: shutdown_snmpNotifyFilterTable() and
   shutdown_winExtDLL() are now invoked when the Net-SNMP service is
   stopped.
   (Partially backported r19515 from the trunk.)

2010-11-16 10:41  bvassche

   *  testing/fulltests/support/simple_TESTCONF.sh,   
      testing/fulltests/support/simple_eval_tools.sh:

   Backported test infrastructure changes from the trunk.

2010-11-16 10:39  bvassche

   * testing/fulltests/default/T065agentextend_simple:

   Reverted MinGW-specific changes from r19549 such that test T065
   passes again on MinGW.

2010-11-16 10:04  bvassche

   * agent/mibgroup/ip-mib/data_access/arp_linux.c:

   CHANGES: Linux: agent: ipNetToPhysicalTable: Do not log an error
   message if one or more interfaces are present that do not have
   such information (NUD_NOARP), e.g. tunnels. Reported by Stephen
   Hemminger. See also patch #3107003.

2010-11-16 08:49  bvassche

   * configure, configure.d/config_os_functions:

   MinGW: Backported r19652 from the trunk.

2010-11-16 08:01  bvassche

   *  configure, configure.d/config_os_functions,   
      configure.d/config_os_progs:

   CHANGES: MinGW: configure: Detection of the functions
   gai_strerror(), getaddrinfo(), gethostname() and gethostname()
   does now succeed.
   (Backported r19646 from the trunk.)

2010-11-16 07:55  bvassche

   * snmplib/transports/snmpUDPIPv6Domain.c:

   CHANGES: agent: com2sec6 directive: If configure has not found
   getaddrinfo(), non-numeric IPv6 addresses do now trigger an error
   message.
   (Backported r19650.)

2010-11-16 07:51  bvassche

   * include/net-snmp/output_api.h, snmplib/snmp_debug.c:

   CHANGES: snmplib: Changed the argument type of
   debug_register_tokens() from char * into const char *.
   (Backported r19665 and r19666 from the trunk.)

2010-11-15 14:15  bvassche

   * snmplib/asn1.c:

   CHANGES: snmplib: Fixed bugs in asn_parse_unsigned_int64(),
   asn_build_unsigned_int64(), asn_parse_signed_int64() and
   asn_build_signed_int64(). Most but not all of these bugs were
   specific to 64-bit systems. Fixes bug #3093199.

2010-11-15 14:09  bvassche

   *  testing/fulltests/unit-tests/T007inet_pton_clib.c,   
      testing/fulltests/unit-tests/T008asn1_clib.c:

   Copied two unit-tests from the trunk.

2010-11-15 14:09  bvassche

   * testing/fulltests/support/clib_build:

   Merged recent clib_build changes from the trunk.

2010-11-11 22:48  nba

   * agent/mibgroup/notification-log-mib/notification_log.c:

   Fix r19636: TrapOID is not the first varbind in the converted v2
   trap

2010-11-11 08:38  bvassche

   *  agent/mibgroup/if-mib/data_access/interface_linux.c,   
      agent/mibgroup/util_funcs.c, agent/mibgroup/util_funcs.h:

   Cleanup: Removed superfluous references to the POSIX threads
   library.

2010-11-10 12:31  bvassche

   * configure, configure.d/config_os_progs:

   CHANGES: BUG: 3102904: All Net-SNMP C source files are now
   compiled with -fno-st
   rict-aliasing, at least if the configured compiler supports this
   flag.

2010-11-09 13:47  bvassche

   * testing/fulltests/default/T030snmpv3usercreation_simple:

   CHANGES: testing: Test T030 does now pass on MinGW.

2010-11-09 13:40  bvassche

   * testing/fulltests/support/simple_eval_tools.sh:

   simple_eval_tools.sh: Removed a superfluous ISDEFINED invocation.

2010-11-09 12:04  bvassche

   * testing/fulltests/default/T160snmpnetstat_simple:

   Backported r19653.

2010-11-09 11:30  bvassche

   * testing/fulltests/support/simple_eval_tools.sh:

   CHANGES: MinGW: testing: If the agent has been asked to stop,
   wait until the snmpd process disappeared before proceeding.

2010-11-08 15:39  bvassche

   * testing/fulltests/default/T071com2sec6_simple:

   CHANGES: testing: Test 71 (com2sec6_simple) does now succeed even
   if IPv6 DNS resolution is not available.
   (Backported r19648.)

2010-11-08 08:46  bvassche

   * agent/mibgroup/struct.h, agent/mibgroup/util_funcs.c:

   Win32: agent: eliminated casts from/to int for thread handles.

2010-11-07 21:15  dts12

   * agent/mibgroup/host/hr_storage.c:

   CHANGES: snmpd: PATCHES: 2119725: Fix skipNFSInHostResources
   handling of hrStorageTable

2010-11-07 21:14  magfr

   * snmplib/data_list.c:

   CHANGES: snmplib: Check the return value of strdup in
   netsnmp_create_data_list and fail if strdup fails.

2010-11-07 19:44  dts12

   * agent/mibgroup/notification/snmpNotifyTable.c:

   CHANGES: snmpd: PATCHES: 3096725: Don't register v1Trap callback,
   if SNMPv1 is not supported

2010-11-07 19:38  dts12

   * agent/mibgroup/notification-log-mib/notification_log.c:

   CHANGES: snmpd: BUGS: 1840230: Don't include the index object as
   (pseudo-)accessible column.

2010-11-07 19:33  dts12

   * agent/mibgroup/notification-log-mib/notification_log.c:

   CHANGES: snmpd: PATCHES: 3096725: Include SNMPv1 trap OIDs in
   nlmLogNotificationID column

2010-11-07 16:35  magfr

   * include/net-snmp/library/snmp_assert.h:

   CHANGES: snmplib: force a ; at the end of the static_assert
   macro.

2010-11-05 15:41  bvassche

   * configure, configure.d/config_os_functions:

   Made sure that rpmGetPath() can be found by configure.

2010-11-05 14:58  bvassche

   * configure, configure.d/config_os_libs2:

   Removed more code that was accidentially inserted by the patch
   tool.

2010-11-05 14:57  bvassche

   * include/net-snmp/net-snmp-config.h.in:

   Reverted r19622.

2010-11-05 14:52  bvassche

   *  configure, configure.d/config_os_libs1,   
      configure.d/config_os_libs2:

   Cleaned up r19624: removed garbage added by the patch tool.

2010-11-05 13:55  bvassche

   *  Makefile.in, configure, configure.ac,   
      configure.d/config_os_headers, configure.d/config_os_libs,   
      configure.d/config_os_libs1, configure.d/config_os_libs2:

   CHANGES: agent: Fixed order of rpmlib detection and agent module
   configuration (backported r19621 from trunk).

2010-11-05 13:37  bvassche

   * include/net-snmp/net-snmp-config.h.in:

   Regenerated include/net-snmp/net-snmp-config.h.in.

2010-11-05 10:00  bvassche

   * agent/mibgroup/host/data_access/swinst_rpm.c:

   CHANGES: agent: host/data_access/swinst_rpm: Fixed a memory leak
   in netsnm_swinst_arch_init().

2010-11-05 09:23  bvassche

   * agent/mibgroup/host/data_access/swinst_rpm.c:

   CHANGES: agent: host/data_access/swinst_rpm: Pass correct path to
   rpmdbOpen() such that opening the database succeeds.
   CHANGES: agent: host/data_access/swinst_rpm: Log an error message
   if rpmdbOpen() fails.

2010-11-05 08:48  bvassche

   * include/net-snmp/library/snmp_assert.h:

   CHANGES: snmplib: Added macro netsnmp_static_assert().

2010-11-04 13:09  dts12

   * dist/net-snmp.spec:

   CHANGES: Linux: PATCHES: 3083027: Fix RPM spec file to support
   CentOS

2010-11-04 12:45  bvassche

   * agent/snmpd.c:

   Reverted r19601 and thereby reenabled the invocation of
   shutdown_master_agent() and shutdown_agent() during
   snmp_shutdown().

2010-11-03 13:22  rstory

   * testing/fulltests/tls/T200TlsIpv6_simple:

   skip tlsipv6 test if not tlstcp/tcpipv6 domains

2010-11-01 16:50  dts12

   * man/variables.5.def:

   Rework description of OID name handling to be
   not quite so incredibly out of date.

2010-11-01 16:47  dts12

   * man/snmpget.1.def:

   Document -Cf in the two man pages separately.

2010-11-01 16:30  dts12

   *  man/netsnmp_session_api.3.def, man/snmpbulkwalk.1.def,   
      man/snmpget.1.def, man/snmpgetnext.1.def, man/snmpset.1.def,   
      man/snmptrap.1.def, man/snmptrapd.8.def, man/snmpwalk.1.def:

   Remove CMU copyright notice from man pages that
   were not inherited from CMU-SNMP
   (and qualify the copyright for those that were).

2010-11-01 16:23  bvassche

   * agent/helpers/table.c:

   Partially reverted r19485 because it triggered double frees
   during snmpd exit (this change is already present on the trunk).
   An example:
   
   ==18709== Invalid read of size 8
   ==18709== at 0x4E76D54: netsnmp_table_registration_info_free
   (table.c:1008)
   ==18709== by 0x50DBEB2: shutdown_sysORTable (sysORTable.c:286)
   ==18709== by 0x518E37C: _shutdown_mib_modules
   (mib_module_shutdown.h:3)
   ==18709== by 0x603CA7C: snmp_call_callbacks (callback.c:338)
   ==18709== by 0x600EAE4: snmp_shutdown (snmp_api.c:898)
   ==18709== by 0x40517F: main (snmpd.c:1066)
   ==18709== Address 0x7322960 is 0 bytes inside a block of size 32
   free'd
   ==18709== at 0x4C26496: free (vg_replace_malloc.c:366)
   ==18709== by 0x4E767C7:
   netsnmp_free_netsnmp_table_registration_info (table.c:74)
   ==18709== by 0x4E4416B: netsnmp_handler_free
   (agent_handler.c:685)
   ==18709== by 0x4E4414F: netsnmp_handler_free
   (agent_handler.c:680)
   ==18709== by 0x4E442AF: netsnmp_handler_registration_free
   (agent_handler.c:742)
   ==18709== by 0x4E46F7C: netsnmp_subtree_free
   (agent_registry.c:468)
   ==18709== by 0x4E486B9: unregister_mib_context
   (agent_registry.c:1745)
   ==18709== by 0x4E430FC: netsnmp_unregister_handler
   (agent_handler.c:326)
   ==18709== by 0x4E76891: netsnmp_unregister_table (table.c:137)
   ==18709== by 0x4E7B124: netsnmp_container_table_unregister
   (table_container.c:334)
   ==18709== by 0x50DBE90: shutdown_sysORTable (sysORTable.c:283)
   ==18709== by 0x518E37C: _shutdown_mib_modules
   (mib_module_shutdown.h:3)

2010-11-01 15:27  bvassche

   * agent/snmpd.c:

   Partially reverted r19511: disabled invocation of
   shutdown_master_agent() and shutdown_agent() during
   snmp_shutdown() again.

2010-11-01 13:55  dts12

   * man/tkmib.1.def:

   Suppress forcing of "Berkeley Distribution" footer
   (Allows Net-SNMP version information to be displayed in the man
   page)

2010-11-01 13:42  dts12

   * man/snmptable.1.def, man/snmptest.1.def:

   Update man page datestamps to match the latest (non-trivial)
   content change.

2010-10-29 22:31  rstory

   * snmplib/transports/snmpDTLSUDPDomain.c:

   null out bio pointers after being freed; bail on connection
   with no ssl pointer

2010-10-29 12:18  bvassche

   * snmplib/cert_util.c, snmplib/container_binary_array.c:

   Spelling fix in log texts: containter -> container.

2010-10-29 11:34  bvassche

   * agent/mibgroup/ip-mib/data_access/arp_linux.c:

   Backported r19588 and r19589 from the trunk.

2010-10-29 07:56  bvassche

   *  agent/mibgroup/etherlike-mib/data_access/dot3stats_linux.c,   
      agent/mibgroup/etherlike-mib/dot3StatsTable/dot3StatsTable_data_access.h,
         agent/mibgroup/rmon-mib/data_access/etherstats_linux.c:

   More compiler warning fixes.

2010-10-28 18:31  nba

   * snmplib/snmp_openssl.c:

   Fix const qualifier warning

2010-10-28 17:53  nba

   *  agent/mibgroup/hardware/cpu/cpu_kstat.c,   
      agent/mibgroup/kernel_sunos5.c:

   Clean out Solaris warnings

2010-10-28 17:52  nba

   * agent/mibgroup/host/hr_disk.c:

   LVM is Linux only

2010-10-28 17:51  nba

   *  agent/mibgroup/host/hr_filesys.c,   
      agent/mibgroup/if-mib/ifXTable/ifXTable_interface.c:

   Avoid char subscripts (signed chars\!)

2010-10-28 17:43  nba

   *  agent/mibgroup/host/data_access/swinst_pkginfo.c,   
      agent/mibgroup/host/data_access/swrun_procfs_psinfo.c,   
      agent/mibgroup/ip-mib/data_access/ipaddress_solaris2.c,   
      agent/mibgroup/mibII/at.c, snmplib/snmptsm.c:

   casts and format specifiers in debug output

2010-10-28 17:41  nba

   * snmplib/transports/snmpDTLSUDPDomain.c:

   Cast to sockaddr to avoid warning

2010-10-28 17:40  nba

   *  agent/mibgroup/hardware/sensors/picld_sensors.c,   
      agent/mibgroup/ucd-snmp/lmSensors.c:

   Untangle picl from kstat access so it compiles on x86 Solrais
   10/OpenSolaris

2010-10-28 14:02  dts12

   * local/mib2c.check_values.conf:

   Fix logic of testing for out-of-range enum values.
   Reported by Boris Zweimueller.

2010-10-28 12:23  bvassche

   * snmplib/transports/snmpTLSBaseDomain.c:

   Get rid of OpenSSL-related compilation warnings. Should work for
   both OpenSSL versions 0.9.x and 1.0.x.

2010-10-28 11:46  bvassche

   * agent/mibgroup/examples/scalar_int.c:

   Fixed a compiler warning (mismatch between format specification
   and argument) that was introduced in r6562.

2010-10-28 11:41  bvassche

   * agent/mibgroup/mibII/vacm_conf.c:

   Fixed a compiler warning that was introduced in r19550.

2010-10-28 11:32  bvassche

   * include/net-snmp/library/tools.h, snmplib/tools.c:

   Reverted r19565 because it caused gcc to report more warnings
   instead of less.

2010-10-28 10:32  bvassche

   * include/net-snmp/library/tools.h, snmplib/tools.c:

   Changed the type of the first two arguments such that it is no
   longer necessary to cast these two arguments (has been reverted
   via r19568).

2010-10-28 09:47  bvassche

   * agent/helpers/cache_handler.c:

   Fixed yet another crash in netsnmp_cache_remove().

2010-10-27 20:37  nba

   * agent/mibgroup/tlstm-mib/snmpTlstmAddrTable/snmpTlstmAddrTable.c:

   Sizeof has type size_t

2010-10-27 20:35  nba

   * snmplib/snmp_transport.c:

   Remove superfluous cast

2010-10-27 18:40  nba

   * 
      agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_data_access.c,
        
      agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_data_get.c,
        
      agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_data_get.h,
        
      agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_data_set.c,
        
      agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_data_set.h,
        
      agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_interface.c:

   Sprinkle some unsignedness so vars and params agree on type

2010-10-27 18:38  nba

   *  agent/mibgroup/tlstm-mib/snmpTlstmAddrTable/snmpTlstmAddrTable.c, 
       
      agent/mibgroup/tlstm-mib/snmpTlstmCertToTSNTable/snmpTlstmCertToTSNTable.c,
        
      agent/mibgroup/tlstm-mib/snmpTlstmParamsTable/snmpTlstmParamsTable.c:

   Initialize vars that gcc thinks are uninitialized

2010-10-27 18:36  nba

   * agent/mibgroup/mibII/icmp.c:

   A more meaningful test for MLD_LISTENER_QUERY

2010-10-27 18:35  nba

   *  agent/mibgroup/if-mib/ifTable/ifTable_data_access.c,   
      agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable.h,   
      agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable_interface.c,
         agent/mibgroup/ip-mib/ipv6InterfaceTable/ipv6InterfaceTable.h, 
       
      agent/mibgroup/ip-mib/ipv6InterfaceTable/ipv6InterfaceTable_data_access.c,
        
      agent/mibgroup/ip-mib/ipv6InterfaceTable/ipv6InterfaceTable_data_access.h:

   prototypes and includes were missing

2010-10-27 18:33  nba

   * apps/encode_keychange.c, apps/snmptest.c:

   Check fgets return

2010-10-25 20:59  dts12

   * Makefile.in:

   CHANGES: build: BUG: 3088360: Ensure python modules are built
   against the correct libraries

2010-10-25 20:34  dts12

   * agent/helpers/instance.c, agent/mibgroup/examples/scalar_int.c:

   CHANGES: snmpd: BUG: 3058101: Writeable 'long' instances work on
   64-bit systems, but not writable 'int's

2010-10-25 16:05  dts12

   * snmplib/read_config.c:

   Don't attempt to process unrecognised "ignore*" directives.
   Pass these through to the appropriate registered config handlers
   (if any)

2010-10-25 15:56  dts12

   * agent/mibgroup/mibII/vacm_conf.c:

   Fix a stupid typo

2010-10-25 15:38  dts12

   * agent/mibgroup/mibII/vacm_conf.c:

   CHANGES: snmpd: BUG: 3062538: Fix com2sec* handling of
   non-default contexts

2010-10-25 12:54  bvassche

   *  testing/fulltests/default/T065agentextend_simple,   
      testing/fulltests/default/T200snmpv2cwalkall_simple:

   CHANGES: Win32: testing: Avoid that T200 fails on known Microsoft
[--snip--]
